=== debian/changelog ===
pigpio (1.68-3) unstable; urgency=medium

  * Fix short description for libpigpiod-if-dev package.
  * Remove systemd stuff in debian/rules, since we don't ship the server.
  * Fix some screwups in 64-bit patch where PRIX64 was used where PRIXPTR should have been used.
  * Enable parallel building (Closes: 920142)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 24 Jan 2019 13:25:48 +0000

pigpio (1.68-2) unstable; urgency=medium

  * Put packages into more appropriate sections.
  * Add dependencies on library packages to dev packages.
  * Add conflicts with old Raspberry pi foundatoin pigpio packages.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 15 Jan 2019 23:01:01 +0000

pigpio (1.68-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: 908787).
  * Update debian/copyright with far more detail.
  * Package only client stuff for now, the server stuff is incompatible with
    Debian kernels.
  * Update to upstream release 68
  * Apply upstream fixes since release 68
    + Make DESTDIR work correctly.
    + Make "make uninstall" uninstall all man pages.
    + Add soversion to shared libraries.
  * Apply patches to add raspberry pi detection and make code build on
    64-bit without warnings.
  * Split packaging to comply with Debian policy.
  * Update standards version to 4.2.0
  * Build-depend on debhelper (>= 9.20160709) instead of dh-systemd
  * Remove ancient python version fields.
  * Install manpages correctly
  * Remove broken comments from top of manpages.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 10 Jan 2019 12:31:08 +0000

pigpio (1.64-1) stretch; urgency=medium

  * Upstream release V64

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 11 Sep 2017 17:44:03 +0100

pigpio (1.60-1) jessie; urgency=medium

  * Upstream release V60

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 12 Jan 2017 14:35:43 +0000

pigpio (1.30-1) jessie; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 13 Apr 2016 12:15:37 +0100
