=== debian/control ===
Source: pigpio
Section: utils
Priority: optional
Maintainer: Peter Michael Green <plugwash@debian.org>
Build-Depends: debhelper (>= 9.20160709), dh-python, python-all, python-setuptools,
  python3-all, python3-setuptools
Standards-Version: 4.2.0
Homepage: http://abyz.co.uk/rpi/pigpio/

Package: libpigpiod-if2-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client library for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the libpigpiod_if2 client library

Package: libpigpiod-if1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client library for Raspberry Pi GPIO control (deprecated)
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the deprecated libpigpiod_if client library

Package: libpigpiod-if-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpigpiod-if1 (= ${binary:Version}), libpigpiod-if2-1 (= ${binary:Version})
Conflicts: pigpio (<< 1.68-1)
Description: Development headers for client libraries for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides development headers for the libpigpiod_if2 and
 libpigpiod_if client libraries.

Package: pigpio-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client tools for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the pigs and pig2vcd tools.

Package: python-pigpio
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: pigpio
Description: Python module which talks to the pigpio daemon (Python 2)
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the python 2 client library.

Package: python3-pigpio
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: pigpio
Description: Python module which talks to the pigpio daemon (Python 3)
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the python 3 client library.
