=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wno-format-security

%:
	dh $@ --with python2,python3 --parallel

override_dh_clean:
	rm -rf build
	dh_clean
