=== debian/changelog ===
pigpio (1.78-1.1+rpi2) trixie-staging; urgency=medium

  * Fix uninstallability after time64 changes.

 -- Peter Michael Green <plugwash@raspbian.org>  Mon, 03 Jun 2024 21:58:36 +0000

pigpio (1.78-1.1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 1.68-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Jan 2019 13:31:37 +0000]
  * Add back systemd stuff and ensure systemd unit is only installed in pigpiod package.
  * Add server related packages and metapackage.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 31 May 2024 21:10:37 +0000

pigpio (1.78-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063256

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:51:34 +0000

pigpio (1.78-1) unstable; urgency=medium

  * New upstream release.
    + adds pi4 support (though server is currently disabled in Debian package)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 28 Jan 2021 19:08:40 +0000

pigpio (1.68-4) unstable; urgency=medium

  * Remove python 2 support (Closes: 937289).
    + Drop python-pigpio package.
    + Update control and rules.

 -- Peter Michael Green <plugwash@debian.org>  Fri, 30 Aug 2019 20:31:21 +0000
