=== debian/control ===
Source: pigpio
Section: utils
Priority: optional
Maintainer: Peter Michael Green <plugwash@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 9.20160709), dh-python,
  python3-all, python3-setuptools
Standards-Version: 4.2.0
Homepage: http://abyz.co.uk/rpi/pigpio/

Package: libpigpiod-if2-1t64
Provides: ${t64:Provides}
Replaces: libpigpiod-if2-1
Breaks: libpigpiod-if2-1 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client library for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely. Currently only the client side is Packaged
 in Debian as the server side is incompatible with Debian kernels.
 .
 This package provides the libpigpiod_if2 client library

Package: libpigpiod-if1t64
Provides: ${t64:Provides}
Replaces: libpigpiod-if1
Breaks: libpigpiod-if1 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client library for Raspberry Pi GPIO control (deprecated)
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the deprecated libpigpiod_if client library

Package: libpigpiod-if-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpigpiod-if1t64 (= ${binary:Version}), libpigpiod-if2-1t64 (= ${binary:Version})
Conflicts: pigpio (<< 1.68-1)
Description: Development headers for client libraries for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides development headers for the libpigpiod_if2 and
 libpigpiod_if client libraries.

Package: libpigpio1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Library for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the pigpio library used to access the GPIO directly.
 (used by the pigpiod server, can also be used directly if desired)

Package: libpigpio-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libpigpio1 (= ${binary:Version})
Conflicts: pigpio (<< 1.68-1)
Description: Client tools for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the development headers for the pigpio library used to
 access the GPIO directly. 

Package: pigpio-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client tools for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the pigs and pig2vcd tools.

Package: pigpiod
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: pigpio (<< 1.68-1)
Description: Client tools for Raspberry Pi GPIO control
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the pigpiod daemon which offers a socket and pipe
 interface to the underlying library.

Package: pigpio
Architecture: any
Depends: 
 libpigpiod-if2-1t64 (= ${binary:Version}),
 libpigpiod-if1t64 (= ${binary:Version}),
 libpigpiod-if-dev (= ${binary:Version}),
 pigpio-tools (= ${binary:Version}),
 libpigpio1 (= ${binary:Version}),
 libpigpio-dev (= ${binary:Version}),
 pigpio-tools (= ${binary:Version}),
 pigpiod (= ${binary:Version}),
 pigpio (= ${binary:Version})
Description:  Raspberry Pi GPIO control transitional package.
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This is a transitional package that installs everything that was previously
 included in the pigpio package before the package split 

Package: python3-pigpio
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: pigpio
Description: Python module which talks to the pigpio daemon (Python 3)
 Pigpio is a set of software which allows control of the General Purpose Input
 Outputs (GPIO) locally or remotely.
 .
 This package provides the python 3 client library.
