=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,14 @@
 export DEB_CFLAGS_MAINT_APPEND = -Wno-format-security
 
 %:
-	dh $@ --with python2,python3 --parallel
+	dh $@ --with python3,systemd --parallel
 
 override_dh_clean:
 	rm -rf build
 	dh_clean
 
+override_dh_systemd_start:
+	dh_systemd_start -p pigpiod --name pigpiod --no-start
+
+override_dh_systemd_enable:
+	dh_systemd_enable -p pigpiod --name pigpiod --no-enable
