## pigpio 1.79

=== debian/changelog ===
pigpio (1.79-1+rpt1) buster; urgency=medium

  * Re-enable python2 package
  * New upstream release.

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Mar 2021 16:42:40 +0100

pigpio (1.78-1+rpi1~buster) buster-staging; urgency=medium

  * Rebuild for buster.

 -- Peter Michael Green <plugwash@raspbian.org>  Fri, 19 Feb 2021 04:46:56 +0000

pigpio (1.78-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.68-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 24 Jan 2019 13:31:37 +0000]
  * Add back systemd stuff and ensure systemd unit is only installed in pigpiod package.
  * Add server related packages and metapackage.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 05 Feb 2021 14:24:57 +0000
